commit:     8015b0a9993dbfd6fa9eccee0e80bd814e3aa3ac
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 26 00:52:13 2017 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Fri Oct 27 02:28:19 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8015b0a9

dev-python/twisted: Version bump. Addtional test fixes...

Package-Manager: Portage-2.3.12, Repoman-2.3.4

 dev-python/twisted/Manifest                        |   1 +
 .../twisted-17.9.0-Fix-test-on-Python-363.patch    |  74 ++++++++
 .../files/twisted-17.9.0-python-27-utf-8-fix.patch |  47 +++++
 dev-python/twisted/twisted-17.9.0.ebuild           | 189 +++++++++++++++++++++
 4 files changed, 311 insertions(+)

diff --git a/dev-python/twisted/Manifest b/dev-python/twisted/Manifest
index 87a466dea7e..8c4b8cc3e24 100644
--- a/dev-python/twisted/Manifest
+++ b/dev-python/twisted/Manifest
@@ -1,4 +1,5 @@
 DIST Twisted-16.6.0.tar.bz2 2979747 SHA256 
d0fe115ea7ef8cf632d05103de60356c6e992b2153d6830bdc4476f8accb1fca SHA512 
0b8de0ec7f64457f76c396fced64b366b8e63c6e000a5edc6c6388cd917fb2f95711918cd8edda39e0aa77e2cd32b5d775d23630a5ad10fc013c18f8316300cf
 WHIRLPOOL 
a09a8747312580e3b27d222bf0942b714ad041044a817876e1731c5fa2ae3d11e4d5a45221d2e7d126ebb664730d15c886d5ae164841c7a8f0acd6e12c4691a9
 DIST Twisted-17.1.0.tar.bz2 2997334 SHA256 
dbf211d70afe5b4442e3933ff01859533eba9f13d8b3e2e1b97dc2125e2d44dc SHA512 
e5eedc9a70b7e4d0ec18dddaa82aa9a784e96fd517db65c278d822d15e8bdc65a35307a5a0474eb68dcb73fcd5508086bec605580a9f2f767bcbe27d714b4966
 WHIRLPOOL 
828a939134df47950a285c732867b3d4172e5e86a75fbdc1cc4365b5a24699a0b3fcb573b7e3d389eea591fc9fc79456c09f2d2c8f08d7e1215dc5761e88ed8e
 DIST Twisted-17.5.0.tar.bz2 2993816 SHA256 
f198a494f0df2482f7c5f99d7f3eef33d22763ffc76641b36fec476b878002ea SHA512 
0fd10e5db7c87daf0d2225cec9929f1040f0c67e9605bfb1a5bc84db8b825e943cfa08e094c32c25c680bddc6587bfdc525a994ad7b785396e5ddb2621649379
 WHIRLPOOL 
28a0578545d525b5239a897229904489c38fa1e7148f374c96e66d3071f8dcd861aa5b772b338e5aaa9e92cc4d0f19a1598136bc2f9a9173b2489f6ec7fb391d
+DIST Twisted-17.9.0.tar.bz2 3019243 SHA256 
0da1a7e35d5fcae37bc9c7978970b5feb3bc82822155b8654ec63925c05af75c SHA512 
0fb854db1044bfdb208594a379a0f8df0193326a9974e193266e82113488d49220648d4a50b323fa144654e94976f5848e1d60efed13ab2668b02cc795720345
 WHIRLPOOL 
d0fa84debe9524a25b9d4e737083740c68cb80a1ab3cc2379e336ded591d85ca62b151752fdff32931788e800df17e13dd5343c4f6fec793b9940f650cee38e5
 DIST twisted-regen-cache.gz 911 SHA256 
e88fb326c0e24506d59afa3a4113e63c3e496fa1114156db6521f84fbce41652 SHA512 
95a9b931c73017d16d1b5e6b41345dddffe62b6af1a8e93b5e40d06d3d15be17b0dd0181c767ffeeb791534d463764ef9e066fa6c2ee2ac4b53c86d1da8fce03
 WHIRLPOOL 
8077fc4d102bb8071e3163c386edf10c14a2cf0c8bbbf57c66787bdeb9b5f21115bcb022a770fe72b48914d829ff69384684f50928700f83547702d6a0d35423

diff --git 
a/dev-python/twisted/files/twisted-17.9.0-Fix-test-on-Python-363.patch 
b/dev-python/twisted/files/twisted-17.9.0-Fix-test-on-Python-363.patch
new file mode 100644
index 00000000000..ea7a480abac
--- /dev/null
+++ b/dev-python/twisted/files/twisted-17.9.0-Fix-test-on-Python-363.patch
@@ -0,0 +1,74 @@
+From e58956fe12af7b41f6c1735ba7b14cba69e82a5e Mon Sep 17 00:00:00 2001
+From: Craig Rodrigues <[email protected]>
+Date: Fri, 6 Oct 2017 02:47:55 -0700
+Subject: [PATCH] Fix test on Python 3.6.3
+
+---
+ src/twisted/test/test_sslverify.py | 53 
+++++++++++++++++++++++++++++------------------------
+ 1 file changed, 29 insertions(+), 24 deletions(-)
+
+diff --git a/src/twisted/test/test_sslverify.py 
b/src/twisted/test/test_sslverify.py
+index aca56f5..3fdc480 100644
+--- a/src/twisted/test/test_sslverify.py
++++ b/src/twisted/test/test_sslverify.py
+@@ -3052,28 +3052,33 @@ class 
SelectVerifyImplementationTests(unittest.SynchronousTestCase):
+             in self.flushWarnings()
+             if warning["category"] == UserWarning)
+ 
+-        if _PY3:
+-            importError = (
+-                "'import of 'service_identity' halted; None in sys.modules'")
+-        else:
+-            importError = "'No module named service_identity'"
+-
+-        expectedMessage = (
+-            "You do not have a working installation of the "
+-            "service_identity module: {message}.  Please install it from "
+-            "<https://pypi.python.org/pypi/service_identity> "
+-            "and make sure all of its dependencies are satisfied.  "
+-            "Without the service_identity module, Twisted can perform only "
+-            "rudimentary TLS client hostname verification.  Many valid "
+-            "certificate/hostname mappings may be rejected.").format(
+-                message=importError)
++        importErrors =[
++            # Python 3.6.3
++            "'import of service_identity halted; None in sys.modules'",
++            # Python 3
++            "'import of 'service_identity' halted; None in sys.modules'",
++            # Python 2
++            "'No module named service_identity'"
++        ]
+ 
+-        self.assertEqual(
+-            (warning["message"], warning["filename"], warning["lineno"]),
+-
+-            # Make sure we're abusing the warning system to a sufficient
+-            # degree: there is no filename or line number that makes sense for
+-            # this warning to "blame" for the problem.  It is a system
+-            # misconfiguration.  So the location information should be blank
+-            # (or as blank as we can make it).
+-            (expectedMessage, "", 0))
++        expectedMessages = []
++        for importError in importErrors:
++            expectedMessages.append(
++                "You do not have a working installation of the "
++                "service_identity module: {message}.  Please install it from "
++                "<https://pypi.python.org/pypi/service_identity> "
++                "and make sure all of its dependencies are satisfied.  "
++                "Without the service_identity module, Twisted can perform 
only"
++                " rudimentary TLS client hostname verification.  Many valid "
++                "certificate/hostname mappings may be rejected.".format(
++                message=importError))
++
++        self.assertIn(warning["message"], expectedMessages)
++
++        # Make sure we're abusing the warning system to a sufficient
++        # degree: there is no filename or line number that makes sense for
++        # this warning to "blame" for the problem.  It is a system
++        # misconfiguration.  So the location information should be blank
++        # (or as blank as we can make it).
++        self.assertEqual(warning["filename"], "")
++        self.assertEqual(warning["lineno"], 0)
+--
+libgit2 0.26.0
+

diff --git a/dev-python/twisted/files/twisted-17.9.0-python-27-utf-8-fix.patch 
b/dev-python/twisted/files/twisted-17.9.0-python-27-utf-8-fix.patch
new file mode 100644
index 00000000000..7e3ec26bcfd
--- /dev/null
+++ b/dev-python/twisted/files/twisted-17.9.0-python-27-utf-8-fix.patch
@@ -0,0 +1,47 @@
+From c7db4c055e92509e5c19a051cbebea53034994ba Mon Sep 17 00:00:00 2001
+From: Brian Dolbec <[email protected]>
+Date: Wed, 25 Oct 2017 14:39:57 -0700
+Subject: [PATCH] python-2.7 utf-8 fixes
+
+---
+ src/twisted/test/test_twistd.py | 14 ++++++++++++--
+ 1 file changed, 12 insertions(+), 2 deletions(-)
+
+diff --git a/src/twisted/test/test_twistd.py b/src/twisted/test/test_twistd.py
+index 3a9d337..4b0cf28 100644
+--- a/src/twisted/test/test_twistd.py
++++ b/src/twisted/test/test_twistd.py
+@@ -1902,8 +1902,12 @@ class DaemonizeTests(unittest.TestCase):
+         message is Unicode, the child encodes the message as ascii
+         with backslash Unicode code points.
+         """
++        if sys.hexversion >= 0x3000000:
++            reported_str = b'\u2022'
++        else:
++            reported_str = b'\xe2\x80\xa2'
+         self.assertErrorWritten(raised=u"\u2022",
+-                                reported=b'1 RuntimeError: \\u2022')
++                                reported=b'1 RuntimeError: ' + reported_str)
+ 
+ 
+ 
+@@ -2003,9 +2007,15 @@ class DaemonizeTests(unittest.TestCase):
+         unicode and too long, it's truncated by the child, even if
+         this splits a unicode escape sequence.
+         """
++        if sys.hexversion >= 0x3000000:
++            reported_str = b'\\u2022'
++            length = 14
++        else:
++            reported_str = b'\xe2\x80\xa2'
++            length = 28
+         self.assertErrorWritten(
+             raised=u"\u2022" * 30,
+-            reported=b'1 RuntimeError: ' + b'\\u2022' * 14,
++            reported=b'1 RuntimeError: ' + reported_str * length,
+         )
+ 
+ 
+--
+libgit2 0.26.0
+

diff --git a/dev-python/twisted/twisted-17.9.0.ebuild 
b/dev-python/twisted/twisted-17.9.0.ebuild
new file mode 100644
index 00000000000..0569d8490d0
--- /dev/null
+++ b/dev-python/twisted/twisted-17.9.0.ebuild
@@ -0,0 +1,189 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_{4,5,6})
+PYTHON_REQ_USE="threads(+)"
+
+inherit eutils flag-o-matic distutils-r1 versionator
+
+TWISTED_PN="Twisted"
+TWISTED_P="${TWISTED_PN}-${PV}"
+TWISTED_RELEASE=$(get_version_component_range 1-2 "${PV}")
+
+DESCRIPTION="An asynchronous networking framework written in Python"
+HOMEPAGE="http://www.twistedmatrix.com/";
+SRC_URI="http://twistedmatrix.com/Releases/${TWISTED_PN}";
+SRC_URI="${SRC_URI}/${TWISTED_RELEASE}/${TWISTED_P}.tar.bz2
+       https://dev.gentoo.org/~mgorny/dist/twisted-regen-cache.gz";
+
+# Dropped keywords due to new deps not keyworded
+#KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh 
~x86 ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="conch crypt http2 serial +soap test"
+
+# openssh-7.6_p1 test failures: bug https://twistedmatrix.com/trac/ticket/9311
+RDEPEND="
+       >=dev-python/incremental-16.10.1[${PYTHON_USEDEP}]
+       >=dev-python/zope-interface-4.0.2[${PYTHON_USEDEP}]
+       conch? (
+               dev-python/pyasn1[${PYTHON_USEDEP}]
+               >=dev-python/cryptography-1.5.0[${PYTHON_USEDEP}]
+               >=dev-python/appdirs-1.4.0[${PYTHON_USEDEP}]
+       )
+       crypt? (
+               >=dev-python/pyopenssl-16.0.0[${PYTHON_USEDEP}]
+               dev-python/service_identity[${PYTHON_USEDEP}]
+               >=dev-python/idna-0.6[${PYTHON_USEDEP}]
+       )
+       serial? ( >=dev-python/pyserial-3.0[${PYTHON_USEDEP}] )
+       soap? ( $(python_gen_cond_dep 'dev-python/soappy[${PYTHON_USEDEP}]' 
python2_7) )
+       http2? (
+               >=dev-python/hyper-h2-3.0.0[${PYTHON_USEDEP}]
+               <dev-python/hyper-h2-4.0.0[${PYTHON_USEDEP}]
+               >=dev-python/priority-1.1.0[${PYTHON_USEDEP}]
+               <dev-python/priority-2.0[${PYTHON_USEDEP}]
+       )
+       >=dev-python/constantly-15.1.0[${PYTHON_USEDEP}]
+       >=dev-python/automat-0.3.0[${PYTHON_USEDEP}]
+       >=dev-python/hyperlink-17.1.1[${PYTHON_USEDEP}]
+       !dev-python/twisted-core
+       !dev-python/twisted-conch
+       !dev-python/twisted-lore
+       !dev-python/twisted-mail
+       !dev-python/twisted-names
+       !dev-python/twisted-news
+       !dev-python/twisted-pair
+       !dev-python/twisted-runner
+       !dev-python/twisted-words
+       !dev-python/twisted-web
+"
+DEPEND="
+       >=dev-python/incremental-16.10.1[${PYTHON_USEDEP}]
+       test? (
+               dev-python/gmpy[${PYTHON_USEDEP}]
+               dev-python/pyasn1[${PYTHON_USEDEP}]
+               >=dev-python/cryptography-0.9.1[${PYTHON_USEDEP}]
+               >=dev-python/appdirs-1.4.0[${PYTHON_USEDEP}]
+               >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+               dev-python/service_identity[${PYTHON_USEDEP}]
+               dev-python/idna[${PYTHON_USEDEP}]
+               dev-python/pyserial[${PYTHON_USEDEP}]
+               >=dev-python/constantly-15.1.0[${PYTHON_USEDEP}]
+               <net-misc/openssh-7.6
+       )
+"
+
+PATCHES=(
+       # ${PN}-17.9.0-Fix-test-on-Python-363.patch"  <== version specific from 
upstream
+       # Respect TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE variable.
+       
"${FILESDIR}/${PN}-16.5.0-respect_TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE.patch"
+       "${FILESDIR}/test_main.patch"
+       "${FILESDIR}/utf8_overrides.patch"
+       "${FILESDIR}/${PN}-16.6.0-test-fixes.patch"
+       "${FILESDIR}/${PN}-17.9.0-python-27-utf-8-fix.patch"
+       "${FILESDIR}/${PN}-17.9.0-Fix-test-on-Python-363.patch"
+)
+
+S=${WORKDIR}/${TWISTED_P}
+
+python_prepare_all() {
+       # disable tests that don't work in our sandbox
+       # and other test failures due to our conditions
+       if use test ; then
+               # Remove since this is an upstream distribution test for making 
releases
+               rm src/twisted/python/test/test_release.py || die "rm 
src/twisted/python/test/test_release.py FAILED"
+       fi
+       distutils-r1_python_prepare_all
+}
+
+python_compile() {
+       if ! python_is_python3; then
+               # Needed to make the sendmsg extension work
+               # (see http://twistedmatrix.com/trac/ticket/5701 )
+               local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+               local -x CXXFLAGS="${CXXFLAGS} -fno-strict-aliasing"
+       fi
+
+       distutils-r1_python_compile
+}
+
+python_test() {
+       distutils_install_for_testing
+
+       export EMERGE_TEST_OVERRIDE=1
+       export UTF8_OVERRIDES=1
+       unset TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE
+       # workaround for the eclass not installing the entry points
+       # in the test environment.  copy the old 16.3.2 start script
+       # to run the tests with
+       cp "${FILESDIR}"/trial "${TEST_DIR}"
+
+       pushd "${TEST_DIR}" > /dev/null || die
+
+       if ! "${TEST_DIR}"/trial twisted; then
+               die "Tests failed with ${EPYTHON}"
+       fi
+       # due to an anomoly in the tests, python doesn't return the correct form
+       # of the escape sequence. So run those test separately with a clean 
python interpreter
+       export UTF8_OVERRIDES=0
+       if ! "${TEST_DIR}"/trial twisted.test.test_twistd.DaemonizeTests; then
+               die "DaemonizeTests failed with ${EPYTHON}"
+       fi
+       if ! "${TEST_DIR}"/trial twisted.test.test_reflect.SafeStrTests; then
+               die "SafeStrTests failed with ${EPYTHON}"
+       fi
+
+       popd > /dev/null || die
+}
+
+python_install() {
+       distutils-r1_python_install
+
+       cd "${D%/}$(python_get_sitedir)" || die
+
+       # own the dropin.cache so we don't leave orphans
+       touch twisted/plugins/dropin.cache || die
+
+       python_doscript "${WORKDIR}"/twisted-regen-cache
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       newconfd "${FILESDIR}/twistd.conf" twistd
+       newinitd "${FILESDIR}/twistd.init" twistd
+}
+
+python_postinst() {
+       twisted-regen-cache || die
+}
+
+pkg_postinst() {
+       python_foreach_impl python_postinst
+
+       einfo "Install complete"
+       if use test ; then
+               einfo ""
+               einfo "Some tests have been disabled during testing due to"
+               einfo "known incompatibilities with the emerge sandboxes and/or"
+               einfo "not runnable as the root user."
+               einfo "For a complete test suite run on the code."
+               einfo "Run the tests as a normal user for each python it is 
installed to."
+               einfo "  ie:  $ python3.6 /usr/bin/trial twisted"
+       fi
+}
+
+python_postrm() {
+       rm -f "${ROOT%/}$(python_get_sitedir)/twisted/plugins/dropin.cache" || 
die
+}
+
+pkg_postrm(){
+       # if we're removing the last version, remove the cache file
+       if [[ ! ${REPLACING_VERSIONS} ]]; then
+               python_foreach_impl python_postrm
+       fi
+}

Reply via email to